> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Source

> Retrieve source from source ID



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /sources/{sourceId}
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /sources/{sourceId}:
    get:
      summary: Get Source
      description: Retrieve source from source ID
      operationId: GetSource
      parameters:
        - description: The id of the source
          in: path
          name: sourceId
          required: true
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Source'
              examples:
                Example 1:
                  value:
                    id: 1
                    name: testSource
                    slug: testSource
                    workspaceId: 1
                    createdAt: '2022-02-16T21:37:58.510Z'
                    updatedAt: '2022-02-16T21:37:58.510Z'
                    type: snowflake
                    configuration:
                      hostname: foo
                      region: bar
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
      security:
        - bearerAuth: []
components:
  schemas:
    Source:
      description: >-
        The database or warehouse where your data is stored. The starting point
        for

        a Hightouch data pipeline.
      properties:
        id:
          type: number
          format: double
          description: The source's id
        name:
          type: string
          description: The source's name
        slug:
          type: string
          description: The source's slug
        workspaceId:
          type: number
          format: double
          description: The id of the workspace that the source belongs to
        createdAt:
          type: string
          format: date-time
          description: The timestamp when the source was created
        updatedAt:
          type: string
          format: date-time
          description: The timestamp when the source was last updated
        configuration:
          properties: {}
          additionalProperties: {}
          type: object
          description: >-
            The source's configuration. This specifies general metadata about
            sources, like connection details

            Hightouch will use this configuration to connect to underlying
            source.


            The schema depends on the source type.


            Consumers should NOT make assumptions on the contents of the

            configuration. It may change as Hightouch updates its internal code.
        type:
          type: string
          description: The source's type (e.g. snowflake or postgres).
      required:
        - id
        - name
        - slug
        - workspaceId
        - createdAt
        - updatedAt
        - configuration
        - type
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````